Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	unsymmetric sparse linear system solver routines
Name:       	umfpack
Version:   	5.2.0
Release:   	1
License: 	GNU/LGPL
URL:		http://www.cise.ufl.edu/research/sparse/umfpack/	
Group:     	Development/Libraries
Source0: 	UMFPACK-%{version}.tar.gz
Source1:	UFconfig-2.3.1.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  amd-devel lapack

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
UMFPACK is a set of routines for solving unsymmetric sparse linear systems, Ax=b, using the Unsymmetric MultiFrontal method. Written in ANSI/ISO C, with a MATLAB (Version 6.0 and later) interface. Appears as a built-in routine (for lu, backslash, and forward slash) in MATLAB. Includes a MATLAB interface, a C-callable interface, and a Fortran-callable interface. Note that "UMFPACK" is pronounced in two syllables, "Umph Pack". It is not "You Em Ef Pack".

%package        devel
Summary:        header files for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	amd-devel

%description devel
header files for %{name}


%post
ldconfig

%postun
ldconfig

%prep
%setup -q -c
%setup -q -c -a 0 -a 1
%setup -q -D -T -n %{name}-%{version}/UMFPACK
cp ../UFconfig/*.h Include/

%build
cd Lib
    %{__make} -f Makefile CFLAGS="-O2 -march=i686 -pipe -fomit-frame-pointer -fPIC" 
    gcc -shared -Wl,-soname,lib%{name}.so.5 -o ../Lib/lib%{name}.so.%{version} `ls *.o`
cd ..
cd Doc
    %{__make}
cd ..

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_libdir}
install -m 755 Lib/lib%{name}.so.%{version} %{buildroot}%{_libdir}
install -m 644 Lib/lib%{name}.a %{buildroot}%{_libdir}
(cd %{buildroot}%{_libdir} && ln -s lib%{name}.so.%{version} lib%{name}.so)

install -d -m 755 %{buildroot}%{_includedir}
install -m 644 Include/*.h %{buildroot}%{_includedir}

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc README.txt Doc/*.pdf
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Oct 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.2.0-1
- Version update
* Mon Aug 06 2007 Stefan Gottwald <gotti@ccux-linux.de> 5.1.0-1
- Version Update
* Tue Jan 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.0.2-1
- Initial Release
